org.eclipse.incquery.viewers.runtime.extensions

## Class IncQueryViewersViewSupport

- java.lang.Object
- - org.eclipse.incquery.viewers.runtime.extensions.IncQueryViewersPartSupport
  - - org.eclipse.incquery.viewers.runtime.extensions.IncQueryViewersViewSupport

- Direct Known Subclasses:
    IncQueryViewersJFaceViewSupport

      public abstract class IncQueryViewersViewSupport
      extends IncQueryViewersPartSupport

  Utility class to serve as an extension for `ViewPart`s wishing to use IncQuery Viewers.
  Author:
    istvanrath

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.incquery.viewers.runtime.extensions.IncQueryViewersPartSupport

      `configuration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncQueryViewersViewSupport(org.eclipse.ui.IViewPart _owner, ViewersComponentConfiguration _config, IModelConnectorTypeEnum _scope)` Constructs a new View support instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPartControl(org.eclipse.swt.widgets.Composite _parent, org.eclipse.swt.widgets.Control _contents)` Create the SWT UI for the owner.
    `void` | `dispose()` Dispose the support instance.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncQueryViewersViewSupport

          public IncQueryViewersViewSupport(org.eclipse.ui.IViewPart _owner,
                                            ViewersComponentConfiguration _config,
                                            IModelConnectorTypeEnum _scope)

      Constructs a new View support instance.

  - ### Method Detail

    - #### dispose

          public void dispose()

      Description copied from class: `IncQueryViewersPartSupport`
      Dispose the support instance. Should be called when the owner `IWorkbenchPart` it starting to dispose itself.
      Overrides:
        `dispose` in class `IncQueryViewersPartSupport`

    - #### createPartControl

          public void createPartControl(org.eclipse.swt.widgets.Composite _parent,
                                        org.eclipse.swt.widgets.Control _contents)

      Create the SWT UI for the owner.
      Parameters:
        `_parent` - the SWT part received by the owner in its createPartControl method
        `_contents` - the SWT UI to be displayed for actual contents